> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/storefronts/store-configuration-settings/overview.md).

# Overview

Ecwid offers many configuration settings to change the website's look and feel. You can apply these settings dynamically through the JavaScript code based on specific conditions or set them in the HTML code.

### Apply configuration with JavaScript code

With JavaScript code, you can apply configuration settings dynamically.&#x20;

It grants you more flexibility if you, for example, have several storefronts. However, you need to set up a custom application with a self-hosted JS file. Learn how to set up a JavaScript file in the [Quickstart guide](/storefronts/get-started/quickstart-customize-storefront-with-ecwid-js-api.md).

Once set up, use the following code example to set up configuration settings:

```javascript
Ecwid.OnAPILoaded.add(function() {
    window.ec = window.ec || Object();
    window.ec.config = window.ec.config || Object();
    
    // configs
};
```

### Apply configuration with HTML code

To always apply configuration settings without any JS code, you need access to the website's HTML code.&#x20;

Search `https://app.ecwid.com/script.js` to find where Ecwid script is called in the code and add configuration settings inside a `<script>` block right below it.

Code example:

```html
<div id="my-store-STOREID"></div>
<div>
	<script 
          data-cfasync="false" 
          type="text/javascript" 
          src="https://app.ecwid.com/script.js?STOREID&data_platform=code" 
          charset="utf-8">
  </script>
  <script 
          type="text/javascript"> xProductBrowser("id=my-store-STOREID", "defaultCategoryId=CATEGORYID");
  </script>
</div>

<script>
          window.ec = window.ec || Object();
          window.ec.config = window.ec.config || Object();
          
          //configs
</script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/storefronts/store-configuration-settings/overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
